Metacat - Bug #6666

Fix MNresourceHandler to handle v2 APl MNStorage.updateSystemMetadata()
02/12/2015 10:54 AM - Chris Jones

Status: Resolved Start date: 02/12/2015
Priority: Normal Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 25.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

While the v2 MNodeService class has implemented the MNStorage.updateSystemMetadata() method, when attempting to call this

REST endpoint:

PUT /metacat/dl/mn/v2/meta

we get a 500 ServiceFailure from MNresourceHandler. The resource handler is handling the GET method for this endpoint, but not

the PUT method, and needs to be updated to call MNodeService.updateSystemMetadatay).

History

#1 - 02/12/2015 12:06 PM - Chris Jones

- Description updated

#2 - 02/12/2015 03:26 PM - Jing Tao

It seems that v2 CNResourceHandler doesn't have the ability either.

#3 - 04/10/2015 10:43 AM - Jing Tao
The PUT for MN is done and tested.

#4 - 04/10/2015 11:05 AM - Jing Tao

- Status changed from New to Resolved

- Target version set to 2.5.0

PUT for CN is done and tested.
